<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{82C9BCAB-777D-4E9B-93AA-02BAD6561ECE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Atom.Core</RootNamespace>
    <AssemblyName>Atom.Core</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\SharedAssemblyInfo.cs">
      <Link>Properties\SharedAssemblyInfo.cs</Link>
    </Compile>
    <Compile Include="Collections\ConcurrentDictionary.cs" />
    <Compile Include="Collections\Dictionary.cs" />
    <Compile Include="Collections\List.cs" />
    <Compile Include="Collections\Pair.cs" />
    <Compile Include="Diagnostics\Log.cs" />
    <Compile Include="Diagnostics\MessageSeverity.cs" />
    <Compile Include="ErrorCodes.cs" />
    <Compile Include="Extensions\CharacterClassExtensions.cs" />
    <Compile Include="Extensions\DateTimeExtentions.cs" />
    <Compile Include="Extensions\StringExtensions.cs" />
    <Compile Include="Game\Account.cs" />
    <Compile Include="Game\GameObjects\Characters\Character.cs" />
    <Compile Include="Game\GameObjects\Characters\CharacterClass.cs" />
    <Compile Include="Game\GameObjects\Characters\Gender.cs" />
    <Compile Include="Game\GameObjects\Characters\SimpleCharacter.cs" />
    <Compile Include="Game\GameObjects\GameObject.cs" />
    <Compile Include="Game\GameObjects\Items\InventoryType.cs" />
    <Compile Include="Game\GameObjects\Items\ItemOptionType.cs" />
    <Compile Include="Game\GameObjects\Items\ItemSlot.cs" />
    <Compile Include="Game\GameObjects\Stats.cs" />
    <Compile Include="Game\LogoutType.cs" />
    <Compile Include="Game\Position.cs" />
    <Compile Include="Game\Quests\QuestStatus.cs" />
    <Compile Include="Game\Shortcut.cs" />
    <Compile Include="Game\Tutorial\TutorialState.cs" />
    <Compile Include="IEngine.cs" />
    <Compile Include="IO\ConfigurationFile.cs" />
    <Compile Include="IO\SHNColumn.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="IO\SHNDataReader.cs" />
    <Compile Include="IO\SHNFile.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Local\World.cs" />
    <Compile Include="Local\WorldStatus.cs" />
    <Compile Include="Mathematics\MathUtils.cs" />
    <Compile Include="Mathematics\Vector2.cs" />
    <Compile Include="Networking\EncryptionTable.cs" />
    <Compile Include="Networking\Listener.cs" />
    <Compile Include="Networking\Messages\MessageHandlerAttribute.cs" />
    <Compile Include="Networking\Messages\MessageHandlerDelegate.cs" />
    <Compile Include="Networking\Messages\MessageHandlerLoader.cs" />
    <Compile Include="Networking\Messages\MessageProtocol.cs" />
    <Compile Include="Networking\Messages\NetworkMessage.cs" />
    <Compile Include="Networking\Messages\Structures\Avatar\PROTO_NC_AVATAR_CREATEFAIL_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\Avatar\PROTO_NC_AVATAR_CREATESUCC_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\Local\PROTO_NC_LOCAL_ADDTRANSFER_CMD.cs" />
    <Compile Include="Networking\Messages\Structures\Local\PROTO_NC_LOCAL_REGISTERWORLD_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\Local\PROTO_NC_LOCAL_REGISTERWORLD_REQ.cs" />
    <Compile Include="Networking\Messages\Structures\Misc\PROTO_NC_MISC_GAMETIME_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\Misc\PROTO_NC_MISC_SEED_ACK.cs" />
    <Compile Include="Networking\Client.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_CLIENT_RIGHTVERSION_CHECK_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_CLIENT_WRONGVERSION_CHECK_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_LOGINFAIL_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_LOGINWORLD_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_LOGIN_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_WILL_WORLD_SELECT_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_WORLDSELECT_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_WORLD_STATUS_ACK.cs" />
    <Compile Include="Networking\Messages\Structures\User\PROTO_NC_USER_XTRAP_ACK.cs" />
    <Compile Include="Platform\SystemTime.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="AtomAssembly.cs" />
    <Compile Include="Serialization\ISerializable.cs" />
    <Compile Include="Serialization\SerializeType.cs" />
    <Compile Include="Server.cs" />
    <Compile Include="SQL\StoredProcedure.cs" />
    <Compile Include="Threading\IPooledClosure.cs" />
    <Compile Include="Threading\PooledDelegateHelper.cs" />
    <Compile Include="Threading\ThreadPool.cs" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>